%global momorel 1
%global date 20160718
%global _sbindir /sbin

Name: writeboost-service
Version: 0.0.%{date}
Release: %{momorel}m%{?dist}
Summary: User-space utility to create dm-writeboost mappings
License: GPLv2+
Group: System Environment/Base
URL: https://gitlab.com/onlyjob/writeboost
Source0: %{name}-%{date}.tar.xz 
BuildRequires: gcc git
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Utilities for manipulating FlashCache.

%prep
%setup -q -n %{name}-%{date}

%install
rm -rf --preserve-root %{buildroot}

install -d %{buildroot}/%{_sbindir}/ %{buildroot}/%{_unitdir}/ %{buildroot}/%{_sysconfdir}/  %{buildroot}/%{_mandir}/man5/

install sbin/writeboost %{buildroot}/%{_sbindir}/
install writeboost.service %{buildroot}/%{_unitdir}/
install etc/writeboosttab %{buildroot}/%{_sysconfdir}/
install man/writeboosttab.5 %{buildroot}/%{_mandir}/man5/

bzip2 %{buildroot}/%{_mandir}/man5/writeboosttab.5

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc README.md
%{_sbindir}/writeboost
%{_unitdir}/writeboost.service
%{_sysconfdir}/writeboosttab
%{_mandir}/man5/writeboosttab.5.*

%changelog
* Sat Oct 01 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.20160718-1m)
- initial commit Momonga Linux

